org.icefaces.ace.component.listcontrol

## Class ListControlRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.icefaces.ace.renderkit.CoreRenderer
    - - org.icefaces.ace.component.listcontrol.ListControlRenderer

-     public class ListControlRenderer
      extends CoreRenderer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `containerStyleClass`
    `static java.lang.String` | `controlsSpacerStyleClass`
    `static java.lang.String` | `controlStyleClass`
    `static java.lang.String` | `dualListContainerStyleClass`
    `static java.lang.String` | `dualListStyleClass`
    `static java.lang.String` | `firstStyleClass`
    `static java.lang.String` | `listControlFooterClass`
    `static java.lang.String` | `listControlHeaderClass`
    `static java.lang.String` | `secondStyleClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListControlRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.icefaces.ace.renderkit.CoreRenderer

      `addToAutoUpdate, convertClientId, decodeBehaviors, decodeBehaviors, encodeClientBehaviors, escapeText, getActionURL, getComponentResourceBundle, getEncodedURL, getEscapedClientId, getLocalisedMessageFromBundle, getResourceRequestPath, getResourceURL, isAjaxRequest, isPostBack, isPostback, isValueBlank, isValueEmpty, renderChild, renderChildren, renderPassThruAttributes, renderPassThruAttributes, renderPassThruAttributes, resolveWidgetVar, shouldRenderAttribute, themeForms`

    - ### Methods inherited from class javax.faces.render.Renderer

      `decode, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### containerStyleClass

          public static final java.lang.String containerStyleClass

      See Also:
        Constant Field Values

    - #### dualListContainerStyleClass

          public static final java.lang.String dualListContainerStyleClass

      See Also:
        Constant Field Values

    - #### controlStyleClass

          public static final java.lang.String controlStyleClass

      See Also:
        Constant Field Values

    - #### controlsSpacerStyleClass

          public static final java.lang.String controlsSpacerStyleClass

      See Also:
        Constant Field Values

    - #### dualListStyleClass

          public static final java.lang.String dualListStyleClass

      See Also:
        Constant Field Values

    - #### listControlHeaderClass

          public static final java.lang.String listControlHeaderClass

      See Also:
        Constant Field Values

    - #### listControlFooterClass

          public static final java.lang.String listControlFooterClass

      See Also:
        Constant Field Values

    - #### firstStyleClass

          public static final java.lang.String firstStyleClass

      See Also:
        Constant Field Values

    - #### secondStyleClass

          public static final java.lang.String secondStyleClass

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ListControlRenderer

          public ListControlRenderer()

  - ### Method Detail

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context,
                                  javax.faces.component.UIComponent component)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

    - #### encodeEnd

          public void encodeEnd(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component)
                         throws java.io.IOException

      Overrides:
        `encodeEnd` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.